WebSocket API

fco.list

Lấy danh sách lệnh điều kiện theo tài khoản và bộ lọc, có phân trang. Không yêu cầu chữ ký.

Scope bắt buộc: tradingws:fco:get.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

bodyobjectrequired
idstringrequired
methodstringrequired
paramsobjectrequired
fcoIdstring | nulloptional

Lọc theo định danh lệnh điều kiện.

typestring | nulloptional

Lọc theo loại lệnh điều kiện.

processStatusstring | nulloptional

Lọc theo trạng thái xử lý.

symbolstring | nulloptional

Lọc theo mã chứng khoán.

sidestring | nulloptional

Lọc theo chiều mua/bán.

accountNostringrequired

Số tài khoản giao dịch.

fromstring | nulloptional

Lọc từ ngày, định dạng `yyyy/MM/dd`. Nếu có `to`, `from` phải <= `to`.

tostring | nulloptional

Lọc đến ngày, định dạng `yyyy/MM/dd`.

pageIndexintegeroptional

Chỉ số trang, bắt đầu từ 1.

pageSizeintegeroptional

Số lượng bản ghi trên mỗi trang.

timestampintegerrequired

Response Body

application/json

application/json

Sample Request

wscat -c wss://api.ssi.com.vn/ws/v3/trading -x '{
  "id": "req-0007",
  "method": "fco.list",
  "params": {
    "accountNo": "1231496",
    "pageIndex": 1,
    "pageSize": 10
  },
  "timestamp": 1755000006000
}'

Sample Response

{
  "id": "req-0007",
  "method": "fco.list",
  "status": 200,
  "result": {
    "data": [
      {
        "fcoId": "7528ac20-a340-4233-8bb7-a2379fc3c638",
        "username": "123149",
        "accountNo": "1231496",
        "quantity": 4000,
        "price": "MP",
        "priceSlip": 0,
        "symbol": "SSI",
        "orderType": "LO",
        "matchedQuantity": 0,
        "isPlaceOrder": false,
        "status": "INIT",
        "detail": "",
        "from": "2026/07/29 09:00:00",
        "to": "2026/07/30 09:00:00",
        "type": "TS",
        "params": {
          "side": "B",
          "stopPrice": 44.5,
          "trailingAmount": 0.5,
          "operator": "GREATER_OR_EQUAL"
        }
      }
    ],
    "pageSize": 10,
    "pageIndex": 1,
    "itemsCount": 1
  },
  "rateLimit": {
    "limit": 100,
    "remaining": 98,
    "resetMs": 880
  }
}